> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取智能体轮次

> 检索智能体会话中的某个特定轮次，包括其嵌套的条目数组与当前状态。

使用此接口按 ID 获取单个轮次。响应包含轮次元数据，以及属于该轮次的完整条目数组，例如消息与工具结果。

## 接口

```http theme={null}
GET /v1/agents/sessions/{session_id}/turns/{turn_id}
```

## 认证

传递 `Authorization: Bearer <api-key>` 或 `Authorization: ApiKey <key>` 之一。

## 路径参数

<ParamField path="session_id" type="string" required>
  智能体会话标识符。
</ParamField>

<ParamField path="turn_id" type="string" required>
  轮次标识符。
</ParamField>

## 响应

<ResponseField name="id" type="string">
  唯一的轮次标识符。
</ResponseField>

<ResponseField name="session_id" type="string">
  此轮次所属的会话。
</ResponseField>

<ResponseField name="status" type="string">
  轮次状态，例如 `completed` 或 `in_progress`。
</ResponseField>

<ResponseField name="items" type="array">
  轮次内的条目对象数组。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://agent.example.com/v1/agents/sessions/sess_01J5X8/turns/turn_01C \
    -H "Authorization: Bearer <api-key>"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "turn_01C",
    "session_id": "sess_01J5X8",
    "status": "completed",
    "items": [
      {
        "id": "msg_01A",
        "role": "user",
        "content": "Hello"
      },
      {
        "id": "msg_01B",
        "role": "assistant",
        "content": "Hi there"
      }
    ]
  }
  ```
</ResponseExample>
